/*********************************************************************************
**
**   $Id: WOPartsForm.h,v 1.4 2004/05/04 01:05:00 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#ifndef WOPARTSFORM_H
#define WOPARTSFORM_H

#include "Data/DataForm.h"

class WOPartsForm : public DataForm 
{
   Q_OBJECT

public:
   WOPartsForm(QWidget *pParent = 0, const char *pName = 0, WFlags f = 0 );
   ~WOPartsForm() { rollbackTransaction(); };

   void setWorkOrder(QString wo);
   bool isInTransaction();
   void setEnabled(bool);

   QLineEdit      *qtyEdit;
   QLineEdit      *pnEdit;
   QLineEdit      *descrEdit;
   QLineEdit      *woEdit;
   MoneyEdit      *costEdit;
   YesNoSelect    *taxableSelect;
   YesNoSelect    *supplySelect;

public slots:   
   void beginTransaction();
   void rollbackTransaction();
   void commitTransaction();
   void deleteRecord();
   void updateRecord();
   void insertRecord();
   void refresh(QSqlRecord *);

protected:
private:
   QString        wo;
   bool           inTransaction;
};

#endif

